> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runonatlas.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete subscription

> Delete a subscription. Currently active subscriptions cannot be deleted, they must be cancelled first.



## OpenAPI

````yaml https://platform.runonatlas.com/external/schema delete /external/subscriptions/{id}
openapi: 3.0.0
info:
  title: Atlas API
  version: 1.0.0
servers:
  - url: https://platform.runonatlas.com
security: []
paths:
  /external/subscriptions/{id}:
    delete:
      tags:
        - Subscriptions
      summary: Delete subscription
      description: >-
        Delete a subscription. Currently active subscriptions cannot be deleted,
        they must be cancelled first.
      parameters:
        - schema:
            type: string
            minLength: 1
            description: The Atlas subscription ID
            example: atlas-internal-subscription-id-123
          required: true
          description: The Atlas subscription ID
          name: id
          in: path
      responses:
        '204':
          description: The subscription has been deleted.
        '401':
          description: Invalid API key provided.
        '404':
          description: Subscription not found.
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        You can obtain this key from the Atlas dashboard. It must be of type
        `secret`

````